javax.jms

## Interface XAQueueConnectionFactory

- All Superinterfaces:
    ConnectionFactory, QueueConnectionFactory, XAConnectionFactory

      public interface XAQueueConnectionFactory
      extends XAConnectionFactory, QueueConnectionFactory

  An `XAQueueConnectionFactory` provides the same create options as a `QueueConnectionFactory` (optional).

  The `XATopicConnectionFactory` interface is optional. JMS providers are not required to support this interface. This interface is for use by JMS providers to support transactional environments. Client programs are strongly encouraged to use the transactional support available in their environment, rather than use these XA interfaces directly.

  Since:
    JMS 1.0
  Version:
    JMS 2.0
  See Also:
    `QueueConnectionFactory`, `XAConnectionFactory`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XAQueueConnection` | `createXAQueueConnection()` Creates an XA queue connection with the default user identity.
    `XAQueueConnection` | `createXAQueueConnection(String userName, String password)` Creates an XA queue connection with the specified user identity.

    - ### Methods inherited from interface javax.jms.XAConnectionFactory

      `createXAConnection, createXAConnection, createXAContext, createXAContext`

    - ### Methods inherited from interface javax.jms.QueueConnectionFactory

      `createQueueConnection, createQueueConnection`

    - ### Methods inherited from interface javax.jms.ConnectionFactory

      `createConnection, createConnection, createContext, createContext, createContext, createContext`

- - ### Method Detail

    - #### createXAQueueConnection

          XAQueueConnection createXAQueueConnection()
                                                    throws JMSException

      Creates an XA queue connection with the default user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.
      Returns:
        a newly created XA queue connection
      Throws:
        `JMSException` - if the JMS provider fails to create an XA queue connection due to some internal error.
        `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

    - #### createXAQueueConnection

          XAQueueConnection createXAQueueConnection(String userName,
                                                  String password)
                                                    throws JMSException

      Creates an XA queue connection with the specified user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.
      Parameters:
        `userName` - the caller's user name
        `password` - the caller's password
      Returns:
        a newly created XA queue connection
      Throws:
        `JMSException` - if the JMS provider fails to create an XA queue connection due to some internal error.
        `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.